<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_aa7e860da1acd4e76" . "7e0df9d7d407380" => base64_decode("ZGF0ZV9jcmVh" . "dGVk"), "_4cabd5d7713c30b34" . "f152bca7e16cd6c" => base64_decode("bmV3c19mZ" . "WVkcw=="), "chan" . "nels" => base64_decode("Y2hhbm5" . "lbHM="), "_49c48a113fcc4b94b82e29c7" . "4e01e7bd" => base64_decode("ZmVlZF9rZXkgZXE" . "6c3RyOmtleQ=="), "_c0f286e93ebdcaa42" . "7b44ec29413392b" => base64_decode("ZmVlZF9" . "rZXk="), "tit" . "le" => base64_decode("dGl0b" . "GU="), "_022eeb17ad2461a" . "772886fe0f557552" . "0" => base64_decode("Y3JlYX" . "Rvcg=="), "i" . "d" => base64_decode("aW" . "Q="));
use Claromentis\Core\DAL;




class NewsFeed extends ActiveRecord
{
    
    
    
    
    
    
    public static function LoadByKey($key)
    {
        $_25b9db1c0742750fdff46948cbf57c67 = new NewsFeed();
        $_c0a4245f295a91f607925636fb789046 = ObjectsStorage::I()->GetMultiple(new NewsFeed(), new DAL\QueryPart($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_49c48a113fcc" . "4b94b82e29c74" . "e01e7bd"], $key), 1);
        return empty($_c0a4245f295a91f607925636fb789046[0]) ? null : $_c0a4245f295a91f607925636fb789046[0];
    }
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_4cabd5d7713c30b3" . "4f152bca7e16cd6c"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["i" . "d"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["i" . "d"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["ti" . "tl" . "e"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["cha" . "nne" . "ls"], ObjectsStorage::T_STRING);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_c0f286e93ebdc" . "aa427b44ec2941" . "3392b"], ObjectsStorage::T_STRING, 20);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_aa7e860" . "da1acd4e" . "767e0df9" . "d7d40738" . "0"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_022eeb17ad24" . "61a772886fe0f" . "5575520"], ObjectsStorage::T_INT);
    }
    public function __set($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value)
    {
        return $this->SetProperty($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value);
    }
}